package jpa;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/***
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@Entity
@Table(name = "MyHealth.MedicalSpecialty")
public class MedicalSpecialtyJPA implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	private String name;
	private String description;

	/**
	 * Class constructor methods
	 */
	public MedicalSpecialtyJPA() {
		super();
	}

	public MedicalSpecialtyJPA(String name, String description) {
		this.name = name;
		this.description = description;
	}

	@Id
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
